> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turncall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Credential

> Store (or replace) the project's credential for one provider account.

Takes effect on the project's next call — resolved per call, no restart.



## OpenAPI

````yaml /openapi.json put /v1/credentials/{provider}
openapi: 3.1.0
info:
  title: TurnCall
  description: Production voice agent platform API
  version: 2.0.0
servers: []
security: []
paths:
  /v1/credentials/{provider}:
    put:
      tags:
        - credentials
      summary: Put Credential
      description: |-
        Store (or replace) the project's credential for one provider account.

        Takes effect on the project's next call — resolved per call, no restart.
      operationId: put_credential_v1_credentials__provider__put
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            type: string
            title: Provider
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Put Credential V1 Credentials  Provider  Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````